From 70530f64930093816740ed908a89b2922b996d7c Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 29 2016 15:10:44 +0000
Subject: [PATCH 355/1001] Whoops!  Avoid infinite recursion here.


---

diff --git a/hubs/widgets/cobwebs.py b/hubs/widgets/cobwebs.py
index ac4a3f6..90f8f76 100755
--- a/hubs/widgets/cobwebs.py
+++ b/hubs/widgets/cobwebs.py
@@ -38,6 +38,6 @@ def should_invalidate(message, session, widget):
     hub = hubs.models.Hub.get(session, widget.hub_id)
     others = [w for w in hub.widgets if w.plugin != 'cobwebs']
     for other in others:
-        if should_invalidate(message, session, other):
+        if other.module.should_invalidate(message, session, other):
             return True
     return False

